Guandata Open Platform
8.3.0
  • 8.3.0
  • 8.2.0
HomeWebsiteChinese version
Docs
  • Help Center
  • Guandata Academy
HomeWebsiteChinese version
Docs
  • Help Center
  • Guandata Academy
8.3.0
  • 8.3.0
  • 8.2.0
  1. Datasets
  • Users
    • Batch Create Users
      POST
    • Batch Delete Users
      POST
    • Batch Update User Attributes
      POST
    • Batch Check Users Exist
      POST
    • Get Users by Attribute Value
      POST
    • Get User List
      POST
    • Get User Information via loginId
      POST
    • Modify User Status
      POST
  • Developer Guide
    • Token Authentication
    • Common Concepts
  • Datasets
    • Clear Dataset Data
      GET
    • Update Dataset Using Parquet File
      GET
    • Get Dataset List
      POST
    • Modify Dataset Path
      POST
    • Delete Dataset
      POST
    • Search Dataset List
      POST
    • Query Dataset Schema
      POST
    • Batch Update Dataset Update Mode
      POST
    • Get Users with Access Permission for Dataset
      POST
    • Upload Dataset
      POST
    • Get Dataset Download Authorization Token
      GET
    • Download Dataset Data
      POST
    • Get Dataset Data
      POST
    • Create Dataset
      POST
    • Update Dataset Field Comments
      POST
    • Trigger Dataset to Read Data File and Update
      GET
    • Query Dataset Update Result by TaskID
      GET
    • Modify Dataset Schema
      POST
    • Update Dataset
      POST
    • Modify Dataset Field Alias
      POST
    • Modify Dataset Name
      POST
    • Dataset Preview
      POST
    • Modify SQL Model Structure
      POST
    • Get Dataset Folder List
      POST
    • Batch Query Dataset Basic Information
      POST
    • Batch Query Dataset Permissions
      POST
  • Dashboards
    • Get Dashboard/Page List
    • Search Pages by Name Keyword
    • Get Users with Read Permission for Page
    • Get Page List in Tree Structure
    • Export Dashboard as PDF or Image
    • Get Dashboard Export File
    • Get Page Basic Information
    • Get Page Information
    • Get Dashboard Smart Insights
  • Cards
    • Get Card Data
    • Create Card Based on Dataset (Random ID)
    • Get Card Insight Agent
  • Subscriptions and Alerts
    • Query Subscription List
    • Query Alert List
    • Query Notification Sending History
    • Download Custom Channel Push File
    • Enable/Disable Subscription
    • Enable/Disable Alert
  • Permissions
    • Get Pages Accessible by User
    • Get Datasets Accessible by User
    • Modify User Page Access and Ownership
    • Modify User Dataset Access and Ownership
    • Get Pages Accessible by User Group
    • Get Datasets Accessible by User Group
    • Modify User Group Page Access and Ownership
    • Modify User Group Dataset Access and Ownership
    • General Resource Permission Grant and Revoke
    • Grant Resource Permissions to User or User Group
    • Revoke Resource Permissions from User or User Group
  • Resource Operations
    • Migrate Resources with Owner Permission from Specified User
    • Migrate Resources with Owner Permission from User Group
    • Generic Resource List
  • Card Exports
    • Card Export API Guide
    • Public API Card Export
    • Public API Task Status Polling
    • Public API Card Export File Download
  • Sessions
    • Session Create or Update
    • Query Dataset Session Configuration
  • Folders
    • Create Folder
    • Modify Folder Directory
    • Delete Folder
    • Add Folder Permission
    • Delete Folder Permission
    • Batch Query Folder Permissions
  • Data Accounts
    • Create Data Account
  • Authentication
    • User Login
    • Login via loginId
    • User Logout
  • User Management
    • User Management Overview
    • User Groups
      • Batch Create User Groups
      • Batch Modify User Groups
      • Delete User Group
      • Get User Group List
      • Add Single User Group
      • Delete User Group V2
    • User Group Members
      • Add Users to User Group
      • Remove User from User Group
      • Get Direct Users Under User Group
      • Get Direct User Groups of User
    • Roles
      • Query Role Information for User
      • Add Custom Role for User
      • Unbind Custom Roles for User
    • User Linked Accounts
      • Linked Account Configuration Guide
      • Configure User External Associated Account
      • Delete User Associated Account
      • Query User External Linked Accounts
  • System Related
    • Get Monitoring Information
  • Metric Center
    • Get Metric Project
    • Get Folders Under Metric Project
    • Get Metrics Under Project and Folder
    • Get Metric Details
  • Lineage
    • Query Resource Lineage
    • Query Field Lineage
  • Insight Agent
    • Create Insight Agent Task
    • Query Conversation Details
  1. Datasets

Get Dataset Download Authorization Token

GET
/api/data-source/{dsId}/data-fetch-token
API Description
Use this API to obtain a dataset authorization token. Since this token is valid long-term, you may not need to repeatedly obtain it in your program. Therefore, you can also log in to the system in a browser, enter the above API address to get the authorization token, and hardcode the token in your data acquisition program. Given that the authorization token is valid long-term, please pay attention to data security and keep it properly. If token leakage occurs, you can call the above API and set action to reset to regenerate.

Request

Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/data-source//data-fetch-token?action=' \
--header 'token;'

Responses

🟢200Success
application/json
Body

Example
{
    "dataFetchToken": "o03ca57c0bfa7473a9dec1d8"
}
Modified at 2026-07-15 06:37:29
Previous
Upload Dataset
Next
Download Dataset Data